<template lang="pug">
	section#login( :class="{esperando}" )
		h1 Iniciar Sesión
		.mensajes( v-if="mensaje" )
			p {{mensaje}}
		.formulario: form.ingreso(@submit.prevent="formSubmit")
			.fila
				label( for="usuario" ) Usuario
				.control: input#usuario(type="text", name="usuario", "required", v-model="usuario")
			.fila
				label( for="clave" ) Clave
				.control: input#clave(type="password", name="clave", "required", v-model="clave")
			.fila
				button(type="submit" :disabled="esperando") Iniciar sesion

		.espera( v-if="esperando" )
			<svg width="32px"  height="32px"  xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid" class="lds-rolling" style="background: none;"><circle cx="50" cy="50" fill="none" stroke="#2369bd" stroke-width="12" r="32" stroke-dasharray="150.79644737231007 52.26548245743669" transform="rotate(251.803 50 50)"><animateTransform attributeName="transform" type="rotate" calcMode="linear" values="0 50 50;360 50 50" keyTimes="0;1" dur="0.5s" begin="0s" repeatCount="indefinite"></animateTransform></circle></svg>



</template>


<script>
	import { mapState, mapActions } from "vuex";

	export default {
		name: "Login",
		components: {},
		data() {
			return {
				usuario: "", //'blashstar@gmail.com',
				clave: "", //'EU220294',
				esperando: false,
				mensaje: ""
			};
		},
		computed: {
			...mapState([
				//"usuario"
			])
		},
		methods: {
			...mapActions(["autenticar"]),
			formSubmit(e) {
				this.esperando = true;
				const { usuario, clave } = this;
				if (usuario && clave) {
					this.autenticar({
						usuario,
						clave,
						alerta: alerta => {
							this.esperando = false;
							this.mensaje = "Usuario o Contraseña incorrecta";
						}
					});
					// console.log("inicika", usuario, clave);
				}
			}
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	#login
		margin auto
		padding 1rem
		text-align center
		background-color gris_claro
		color tint( azul, 90% )
		width 360px

	h1
		font-size 1.5rem
		font-weight 500
		text-transform uppercase

	.mensajes
		margin 1rem
		margin-bottom -.5rem
		padding 1rem
		background-color alerta
		border 1px solid darken( alerta, 30% )
		color darken( alerta, 80% )

	.formulario
		margin 1rem

		.fila
			display flex
			align-items stretch
			flex-direction column
			margin-bottom 1rem

			label
				flex 1 0 auto
				font-size calcRem( 16 )
				padding .2em
				line-height 1.2

			.control
				flex 4 0 auto
				background-color blanco
				font-size calcRem( 12 )
				display flex
				align-items stretch
				min-width 100px

				> *
					flex 1 1 100%

				input
					padding 1em
					border none
					line-height 1
					color #999999
					display block
					width 100%
					outline none

			button
				display block
				color tint( azul, 90% )
				background-color tint( azul, 20% )
				padding 1em 2em
				text-transform uppercase
				margin-top 1rem
				font-weight bold

		.esperando &
			opacity .5
</style>
